%global shortname mailpile

Name:           Mailpile
Version:        0.1
Release:        2%{?dist}
Summary:        An indexing and search engine for e-mail

Group:          Applications/Internet
License:        AGPLv3+ or Apache2+
URL:            https://www.mailpile.is/
Source0:        https://github.com/pagekite/Mailpile/archive/release/Mailpile-release-alpha.zip

BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-lxml
BuildRequires: python-jinja2
BuildRequires: gettext
Requires: python-pillow
Requires: python-jinja2
Requires: python-lxml

%description
A modern, fast web-mail client with user-friendly encryption and privacy
features.


%prep
%setup -q -n Mailpile-release-alpha


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
%find_lang %{shortname}


%files
%defattr(-,root,root,-)
%doc COPYING.md AGPLv3.txt LICENSE-2.0.txt README.md
%{_bindir}/mailpile
%{python_sitelib}/%{shortname}/
%{python_sitelib}/%{shortname}-0.0.0_dev20140204-py2.7.egg-info/
%{python_sitelib}/tests/*
%{_prefix}/static/default/
%{_prefix}/locale/%{shortname}*
%lang(ar) %{_prefix}/locale/ar/LC_MESSAGES/%{shortname}*
%lang(ar_AE) %{_prefix}/locale/ar_AE/LC_MESSAGES/%{shortname}*
%lang(bg_BG) %{_prefix}/locale/bg_BG/LC_MESSAGES/%{shortname}*
%lang(ca) %{_prefix}/locale/ca/LC_MESSAGES/%{shortname}*
%lang(cs_CZ) %{_prefix}/locale/cs_CZ/LC_MESSAGES/%{shortname}*
%lang(da_DK) %{_prefix}/locale/da_DK/LC_MESSAGES/%{shortname}*
%lang(de) %{_prefix}/locale/de/LC_MESSAGES/%{shortname}*
%lang(el_GR) %{_prefix}/locale/el_GR/LC_MESSAGES/%{shortname}*
%lang(en_US) %{_prefix}/locale/en_US/LC_MESSAGES/%{shortname}*
%lang(es_419) %{_prefix}/locale/es_419/LC_MESSAGES/%{shortname}*
%lang(es_ES) %{_prefix}/locale/es_ES/LC_MESSAGES/%{shortname}*
%lang(fi) %{_prefix}/locale/fi/LC_MESSAGES/%{shortname}*
%lang(fr_FR) %{_prefix}/locale/fr_FR/LC_MESSAGES/%{shortname}*
%lang(he) %{_prefix}/locale/he/LC_MESSAGES/%{shortname}*
%lang(hu) %{_prefix}/locale/hu/LC_MESSAGES/%{shortname}*
%lang(id) %{_prefix}/locale/id/LC_MESSAGES/%{shortname}*
%lang(is) %{_prefix}/locale/is/LC_MESSAGES/%{shortname}*
%lang(it_IT) %{_prefix}/locale/it_IT/LC_MESSAGES/%{shortname}*
%lang(ja) %{_prefix}/locale/ja/LC_MESSAGES/%{shortname}*
%lang(lv) %{_prefix}/locale/lv/LC_MESSAGES/%{shortname}*
%lang(nl_BE) %{_prefix}/locale/nl_BE/LC_MESSAGES/%{shortname}*
%lang(nl_NL) %{_prefix}/locale/nl_NL/LC_MESSAGES/%{shortname}*
%lang(no) %{_prefix}/locale/no/LC_MESSAGES/%{shortname}*
%lang(pl) %{_prefix}/locale/pl/LC_MESSAGES/%{shortname}*
%lang(pt_BR) %{_prefix}/locale/pt_BR/LC_MESSAGES/%{shortname}*
%lang(pt_PT) %{_prefix}/locale/pt_PT/LC_MESSAGES/%{shortname}*
%lang(ro_RO) %{_prefix}/locale/ro_RO/LC_MESSAGES/%{shortname}*
%lang(ru_RU) %{_prefix}/locale/ru_RU/LC_MESSAGES/%{shortname}*
%lang(sl_SI) %{_prefix}/locale/sl_SI/LC_MESSAGES/%{shortname}*
%lang(sv_SE) %{_prefix}/locale/sv_SE/LC_MESSAGES/%{shortname}*
%lang(tr) %{_prefix}/locale/tr/LC_MESSAGES/%{shortname}*
%lang(zh_CN) %{_prefix}/locale/zh_CN/LC_MESSAGES/%{shortname}*


%changelog
* Tue Feb 4 2014 Nikos Roussos <comzeradd@fedoraproject.org> 0.1-2
- Add proper dependencies

* Tue Feb 4 2014 Nikos Roussos <comzeradd@fedoraproject.org> 0.1-1
- Initial Fedora RPM
